Name:           python-mne-qt-browser
Version:        0.7.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A new backend based on pyqtgraph for the 2D-Data-Browser in MNE-Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://mne.tools/
Source:         %{pypi_source mne_qt_browser}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mne-qt-browser' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mne-qt-browser
Summary:        %{summary}

%description -n python3-mne-qt-browser %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-mne-qt-browser opengl,tests


%prep
%autosetup -p1 -n mne_qt_browser-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x opengl,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mne-qt-browser -f %{pyproject_files}


%changelog
%autochangelog